function response = hACQSetEnableSpectrumDataStreaming(instrument, enableStreaming)
%function response = hACQSetEnableSpectrumDataStreaming(instrument, enableStreaming)
%Sets the enabled state for Spectrum data streaming
%
%Parameters:
%instrument - The tcp-ip object that is connected to the Hyperion Instrument.
%enableStreaming - If nonzero, this enables streaming.  Otherwise,
%streaming will be disabled.
%
%Return value:
%response - A response structure returned from the instrument (see
%hCOMMReadResponse)
if enableStreaming
    response = hCOMMExecuteCommand(instrument, '#EnableFullSpectrumDataStreaming','',0,1);
else
    response = hCOMMExecuteCommand(instrument, '#DisableFullSpectrumDataStreaming','',0,1);
end