function response = hACQSetLaserScanSpeed(instrument, laserScanSpeed)
%function response = hACQSetLaserScanSpeed(instrument, laserScanSpeed)
%Sets the laser scan speed to the specified value
%
%parameters:
%instrument - The tcp-ip object that is connected to the Hyperion Instrument.
%laserScanSpeed - Laser scan speed value to be set, in Hz
%
%return value:
%response - An instrument response structure (see hCOMMReadResponse)
response = hCOMMExecuteCommand(instrument, '#SetLaserScanSpeed', int2str(laserScanSpeed), 0, 10); 