function dataOut = hCOMMWriteCommand(instrument, command, argument, requestOptions)
%dataOut = hCOMMWriteCommand(connectionID, command, argument, requestOptions)
%This Function sends a command and argument to a Hyperion instrument.
%connectionID - is a network connection structure that uniquely identifies the TCP connection
%command - The command to execute
%requestOptions - Option that controls how the command responds
%   0 - None
%   1 - Suppress Message
%   2 - Suppress Content
%   3 - Compress

dataOut = uint8(requestOptions);
commandLength = uint16(length(command));
dataOut(3:4) = PackBytes(commandLength,1);
argumentLength = uint32(length(argument));
dataOut(5:8) = PackBytes(argumentLength,1);
dataOut = [dataOut,uint8(command),uint8(argument)];
fwrite(instrument,dataOut);