function response = hNETSetNetworkIPMode(instrument, ipMode)
%function response = hNETSetNetworkIPMode(instrument, ipMode)
%Set the current IP mode for the instrument.
%
%Parameters:
%instrument - The tcp-ip object that is connected to the Hyperion Instrument.
%ipMode - The desired ipMode, valid values are 'STATIC' or 'DHCP'
%
%Return Value:
%
%response - A response structure returned from the instrument.
%(see hCOMMReadResponse)
switch upper(ipMode)
    case 'DHCP'
        response = hCOMMExecuteCommand(instrument, '#EnableDynamicIpMode','',0,10);
    case 'STATIC'
        response = hCOMMExecuteCommand(instrument, '#EnableStaticIpMode','',0,10);
    otherwise
        error('h.API Error: Valid values for ipMode are DHCP or STATIC');
end